Subject: [Bier] Fwd: New Version Notification for draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt

From: Senthil Dhanaraj <[email-masked]>
Date: Tue, 29 Jan 2019 19:33:39 +0530

Hi Folks,

Renamed draft-dhanaraj-bier-isis-non-mpls-extensions to
draft-dhanaraj-bier-lsr-ethernet-extensions

Major updates:
1) Added packet format details for OSPFv2 as well
2) Updated text to better explain the signalling of BIFT-id's
3) Renamed "non-mpls" to "ethernet" as this specific draft covers only
"BIER over Ethernet".

Thanks,
Senthil

---------- Forwarded message ---------
From: <[email-masked]>
Date: Tue, Jan 29, 2019 at 7:27 PM
Subject: New Version Notification for
draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt
To: Jingrong Xie <[email-masked]>, Zhaohui Zhang <[email-masked]>,
Senthil Dhanaraj <[email-masked]>, IJsbrand Wijnands <
[email-masked]>, Peter Psenak <[email-masked]>, Gang Yan <
[email-masked]>

A new version of I-D, draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt
has been successfully submitted by Senthil Dhanaraj and posted to the
IETF repository.

Name:           draft-dhanaraj-bier-lsr-ethernet-extensions
Revision:       00
Title:          LSR Extensions for BIER over Ethernet
Document date:  2019-01-29
Group:          Individual Submission
Pages:          11
URL:
https://www.ietf.org/internet-drafts/draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt
Status:
https://datatracker.ietf.org/doc/draft-dhanaraj-bier-lsr-ethernet-extensions/
Htmlized:
https://tools.ietf.org/html/draft-dhanaraj-bier-lsr-ethernet-extensions-00
Htmlized:
https://datatracker.ietf.org/doc/html/draft-dhanaraj-bier-lsr-ethernet-extensions

Abstract:
   Bit Index Explicit Replication (BIER) [RFC8279] is an architecture
   that provides multicast forwarding through a "BIER domain" without
   requiring intermediate routers to maintain multicast related per-flow
   state.  BIER can be supported in MPLS and non-MPLS networks.  The
   common BIER header format and encapsulation for MPLS and non-MPLS
   networks is specified in [RFC8296].

   This document specifies the required extensions to the IS-IS
   [RFC1195] and OSPFv2 [RFC2328] protocol for supporting BIER in non-
   MPLS networks using BIER in Ethernet encapsulation.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Xiejingrong <[email-masked]>
Date: Wed, 30 Jan 2019 02:24:16 +0000

Hi  Senthil
I have one comment/question:
Section 1, is BIFT-id 1/2/3/4/5/6 been allowed in non-mpls case?

In MPLS encapsulation, value 0 to 15 is reserved and should not be allowed as BIER label I guess.

Thanks
Jingrong

From: BIER [mailto:[email-masked]] On Behalf Of Senthil Dhanaraj
Sent: Tuesday, January 29, 2019 10:04 PM
To: BIER WG <[email-masked]>
Subject: [Bier] Fwd: New Version Notification for draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt

Hi Folks,

Renamed draft-dhanaraj-bier-isis-non-mpls-extensions to  draft-dhanaraj-bier-lsr-ethernet-extensions

Major updates:
1) Added packet format details for OSPFv2 as well
2) Updated text to better explain the signalling of BIFT-id's
3) Renamed "non-mpls" to "ethernet" as this specific draft covers only "BIER over Ethernet".

Thanks,
Senthil

---

From: Senthil Dhanaraj <[email-masked]>
Date: Wed, 30 Jan 2019 11:32:24 +0530

Hi Xiejingrong,

RFC8296 do not reserve any BIFT-id's (for non-mpls networks) to be used for
special purposes.

But yes, it might be a good idea to reserve a BIFT-id range to be used for
special purposes in non-MPLS networks.
One use case i can think of is PHP (use special values like Implicit NULL,
Explicit NULL label in MPLS) which could be applied to non-MPLS networks as
well like BIER over Ethernet.

BIER'ers, kindly shoot your opinion !

Thanks,
Senthil

On Wed, Jan 30, 2019 at 7:54 AM Xiejingrong <[email-masked]> wrote:

> *From:* BIER [mailto:[email-masked]] *On Behalf Of *Senthil
> Dhanaraj
> *Sent:* Tuesday, January 29, 2019 10:04 PM
> *To:* BIER WG <[email-masked]>
> *Subject:* [Bier] Fwd: New Version Notification for

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 30 Jan 2019 15:59:02 +0000

For the specific case of PHP, it does not use a special BIFT-ID to signal PHP (especially when you consider the fact that we’re talking about “BIFT-ID”). The php draft says:

   A BIER incapable router, if acting as a multicast flow overlay
   router, MUST signal its BIER information as specified in [RFC8401<https://tools.ietf.org/html/rfc8401>] or
   [I-D.ietf-bier-ospf-bier-extensions] or [I-D.ietf-bier-idr-
   extensions], with a PHP sub-sub-TLV included in the BIER sub-TLV
   attached to the BIER incapable router's BIER prefix to request BIER
   PHP from other BFRs.  The sub-sub-TLV's type is TBD, and the length
   is 0.

   With MPLS encapsulation, the BIER incapable multicast flow overlay
   router MAY omit the BIER MPLS Encapsulation sub-sub-TLV, or MUST set
   the Label Range Base in BIER MPLS Encapsulation sub-sub-TLV to
   Implicit Null Label [RFC3032<https://tools.ietf.org/html/rfc3032>].

Jeffrey

From: BIER [mailto:[email-masked]] On Behalf Of Senthil Dhanaraj
Sent: Wednesday, January 30, 2019 1:02 AM
To: Xiejingrong <[email-masked]>
Cc: BIER WG <[email-masked]>
Subject: Re: [Bier] Fwd: New Version Notification for draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt

Hi Xiejingrong,

RFC8296 do not reserve any BIFT-id's (for non-mpls networks) to be used for special purposes.

But yes, it might be a good idea to reserve a BIFT-id range to be used for special purposes in non-MPLS networks.
One use case i can think of is PHP (use special values like Implicit NULL, Explicit NULL label in MPLS) which could be applied to non-MPLS networks as well like BIER over Ethernet.

Thanks,
Senthil

On Wed, Jan 30, 2019 at 7:54 AM Xiejingrong <[email-masked]<mailto:[email-masked]>> wrote:
Hi  Senthil
I have one comment/question:
Section 1, is BIFT-id 1/2/3/4/5/6 been allowed in non-mpls case?

Thanks
Jingrong

From: BIER [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Senthil Dhanaraj
Sent: Tuesday, January 29, 2019 10:04 PM
To: BIER WG <[email-masked]<mailto:[email-masked]>>
Subject: [Bier] Fwd: New Version Notification for draft-dhanaraj-bier-lsr-ethernet-extensions-00.txt

Hi Folks,

Major updates:

Thanks,
Senthil

---

From: Senthil Dhanaraj <[email-masked]>
Date: Thu, 31 Jan 2019 15:08:33 +0530

Hi Jeffrey,

I meant that "reserved special purpose BIFT-id" could also be used for
cases like PHP.
This way, we may avoid having to add new sub-TLV's like "PHP sub-sub-TLV".

Keeping PHP case aside, In general, Do you think we should reserve a space
[0 - 15] as special purpose BIFT-id's?

Thanks,
Senthil

On Wed, Jan 30, 2019 at 9:29 PM Jeffrey (Zhaohui) Zhang <[email-masked]>
wrote:

> For the specific case of PHP, it does not use a special BIFT-ID to signal
> PHP (especially when you consider the fact that we’re talking about
> “BIFT-ID”). The php draft says:
>
>
>
>    router, MUST signal its BIER information as specified in [RFC8401
> <https://tools.ietf.org/html/rfc8401>] or
>
>    Implicit Null Label [RFC3032 <https://tools.ietf.org/html/rfc3032>].
>
>
>
>
>
> Jeffrey
>
>
>
> *Sent:* Wednesday, January 30, 2019 1:02 AM
> *To:* Xiejingrong <[email-masked]>
> *Cc:* BIER WG <[email-masked]>
> *Subject:* Re: [Bier] Fwd: New Version Notification for